BearSSL

br_multihash_context Struct Reference

Multi-hasher context structure. More...

`#include <bearssl_hash.h>`

## Detailed Description

Multi-hasher context structure.

The multi-hasher runs up to six hash functions in the standard TLS list (MD5, SHA-1, SHA-224, SHA-256, SHA-384 and SHA-512) in parallel, over the same input.

The multi-hasher does not follow the OOP structure with a vtable. Instead, it is configured with the vtables of the hash functions it should run. Structure fields are not supposed to be accessed directly.

The documentation for this struct was generated from the following file:

- bearssl_hash.h